nonstd::variants::detail::VisitorApplicatorImpl< R, VT > Struct Template Reference

`#include <variant.hpp>`

## Static Public Member Functions

template<typename Visitor , typename T >
static R | apply (Visitor const &v, T const &arg)

## Detailed Description

template<typename R, typename VT>
struct nonstd::variants::detail::VisitorApplicatorImpl< R, VT >

Definition at line 2246 of file variant.hpp.

## Member Function Documentation

## apply()

template<typename R , typename VT >
template<typename Visitor , typename T >

static R nonstd::variants::detail::VisitorApplicatorImpl< R, VT >::apply | ( | Visitor const & | v,
|  | T const & | arg
| ) |  |

inlinestatic

Definition at line 2249 of file variant.hpp.

The documentation for this struct was generated from the following file:

- restinio/third_party/variant-lite/variant.hpp